summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2019-01-09 22:43:18 +0100
committer Willy Sudiarto Raharjo2019-01-09 22:43:18 +0100
commit936682bd4c0630654b1cb5c929eeee5c2d4a3efa (patch)
treeb9002f4b78ba15ecc69999983dcdb4c8ed90f73d
parent2ddde7507021f66d21899e595f693e9dcbc7b6e0 (diff)
downloadslackbuilds-936682bd4c0630654b1cb5c929eeee5c2d4a3efa.tar.gz
system/edid-decode: Added (decode EDID data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/edid-decode/README17
-rw-r--r--system/edid-decode/edid-decode.SlackBuild78
-rw-r--r--system/edid-decode/edid-decode.info10
-rw-r--r--system/edid-decode/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/system/edid-decode/README b/system/edid-decode/README
new file mode 100644
index 0000000000..71d34939f1
--- /dev/null
+++ b/system/edid-decode/README
@@ -0,0 +1,17 @@
+edid-decode (decode EDID data in human-readable format)
+
+edid-decode decodes EDID monitor description data in human-readable
+format. Input may be raw binary files or ASCII text in various formats
+(see man page).
+
+EDID data may be read with get-edid (from the read-edid build) or from
+the /sys filesystem, e.g. /sys/class/drm/card0-HDMI-A-1/edid (the filename
+may vary on your system).
+
+Also, sample EDID data from various displays is included in the package.
+See "/usr/doc/edid-decode-$VERSION/data/".
+
+edid-decode does the same job as the parse-edid command from the read-edid
+build, but edid-decode shows more detailed info than parse-edid. Also,
+edid-decode is still under development as of December 2018, while
+read-edid was last updated in April 2015.
diff --git a/system/edid-decode/edid-decode.SlackBuild b/system/edid-decode/edid-decode.SlackBuild
new file mode 100644
index 0000000000..042b3e0dab
--- /dev/null
+++ b/system/edid-decode/edid-decode.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for edid-decode
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# The version number comes from Debian. Ugly but informative.
+
+PRGNAM=edid-decode
+VERSION=${VERSION:-0.1~git20180813.b2da1516}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Compile, strip, install, all in one go. Don't let the -j1 scare you,
+# it's only one C source file anyway. Parallelism wouldn't speed it up
+# even if it worked. -j1 prevents it from trying to install the binary
+# before it's compiled.
+
+make -j1 \
+ CFLAGS="$SLKCFLAGS" \
+ LDFLAGS="-Wl,-s" \
+ mandir=/usr/man \
+ DESTDIR=$PKG \
+ $PRGNAM \
+ install
+
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README data $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/edid-decode/edid-decode.info b/system/edid-decode/edid-decode.info
new file mode 100644
index 0000000000..e857915c55
--- /dev/null
+++ b/system/edid-decode/edid-decode.info
@@ -0,0 +1,10 @@
+PRGNAM="edid-decode"
+VERSION="0.1~git20180813.b2da1516"
+HOMEPAGE="https://git.linuxtv.org/edid-decode.git/"
+DOWNLOAD="http://deb.debian.org/debian/pool/main/e/edid-decode/edid-decode_0.1~git20180813.b2da1516.orig.tar.xz"
+MD5SUM="e2515d4fc7bd4426951a34bcd028bce3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/edid-decode/slack-desc b/system/edid-decode/slack-desc
new file mode 100644
index 0000000000..f35d960691
--- /dev/null
+++ b/system/edid-decode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+edid-decode: edid-decode (decode EDID data in human-readable format)
+edid-decode:
+edid-decode: edid-decode decodes EDID monitor description data in human-readable
+edid-decode: format. Input may be raw binary files or ASCII text in various formats
+edid-decode: (see man page).
+edid-decode:
+edid-decode: EDID data may be read with get-edid (from the read-edid build) or from
+edid-decode: the /sys filesystem, e.g. /sys/class/drm/card0-HDMI-A-1/edid (the
+edid-decode: filename may vary on your system).
+edid-decode:
+edid-decode: